Loading...
Searching...
No Matches
AaruMetadataJsonBlockHeader Struct Reference

Header for an Aaru metadata JSON block (identifier == BlockType::AaruMetadataJsonBlock). More...

`#include <aaruformat/structs/metadata.h>`

## Data Fields

uint32_t | identifier
| Block identifier, must be BlockType::AaruMetadataJsonBlock.
uint32_t | length
| Length in bytes of the Aaru metadata JSON payload that follows.

## Detailed Description

Header for an Aaru metadata JSON block (identifier == BlockType::AaruMetadataJsonBlock).

The following 'length' bytes immediately after the header contain the Aaru metadata JSON payload. Encoding is typically UTF-8; the payload is not required to be null-terminated.

Definition at line 119 of file metadata.h.

## Field Documentation

## identifier

uint32_t AaruMetadataJsonBlockHeader::identifier

Block identifier, must be BlockType::AaruMetadataJsonBlock.

Definition at line 121 of file metadata.h.

Referenced by aaruf_get_aaru_json_metadata(), aaruf_set_aaru_json_metadata(), process_aaru_metadata_json_block(), and write_aaru_json_block().

## length

uint32_t AaruMetadataJsonBlockHeader::length

Length in bytes of the Aaru metadata JSON payload that follows.

Definition at line 122 of file metadata.h.

Referenced by aaruf_get_aaru_json_metadata(), aaruf_set_aaru_json_metadata(), process_aaru_metadata_json_block(), and write_aaru_json_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/metadata.h